/*
 * InstrType.java
 *
 *
 */

package Helper;

/**
 *  op-code meaning::<p>
 *  1  iALU<p>
 *  2  iMult<p>
 *  3  iDiv<p>
 *  4  iBrJ<p>
 *  5  iLoad<p>
 *  6  iStore<p>
 *  7  fpALU<p>
 *  8  fpMult<p>
 *  9  fpDiv<p>
 *
 * @author  seanhalle@yahoo.com
 */
public class InstrType
 {
   public static final int iALU   = 1;
   public static final int iMult  = 2;
   public static final int iDiv   = 3;
   public static final int iBrJ   = 4;
   public static final int load   = 5;
   public static final int store  = 6;
   public static final int fpALU  = 7;
   public static final int fpMult = 8;
   public static final int fpDiv  = 9;
   
   /**
    */
   public InstrType()
    {
    }
   
 }
