/*
 * ColMajorMatrix.java
 *
 */

package Application;

/**
 *
 * @author Me
 */
public class ColMajorMatrix extends MatrixBase
 {
   float[] cols[];
   
   /** Creates a new instance of ColMajorMatrix */
   public ColMajorMatrix( int _numRows, int _numCols )
    {
      numRows = _numRows;
      numCols = _numCols;
      
      cols = new float[ numCols ][];
      
      for( int i = 0; i < numCols; i++ )
       {
         cols[ i ] = new float[ numRows ];
       }
    }
   
   /** The file is formatted as comma separated values, one matrix row to each
    *   line in file.
    *  The number of rows and cols in the file has to match the size
    *   of the matrix declared in the constructor (that built the object).
    * 
    * @param fileName
    */ 
   public void fillSelfFromFile( String fileName )
    { float floatValue = 0;
      String floatString;
      
      super.setUpScanner( fileName );
      
      for( int r = 0; r < numRows; r += 1 )
       { for( int c = 0; c < numCols; c += 1 )
          { floatString = paramScanner.next();
            floatValue = Float.parseFloat( floatString );
            cols[ c ][ r ] = floatValue;           
          }
       }
    }
 }
